Genetic algorithm solving TSP with various settings

- Main Page
- Classes

- Class List
- Class Index
- Class Members

Public Member Functions | List of all members
Chromozome Class Reference

Trida reprezentujici chromozom pro TSP. More...

## Public Member Functions
| Chromozome (int numOfGenes)
| Chromozome (int size, int value)
void | printChromozome ()
int | getChromozomeSize ()
int | getValueOfGene (int position)
void | setFitness (double fitness)
double | getFitness ()
double | getSpecialFitness ()
void | setSpecialFitness (double specialFitness)
void | setGene (int gene, int pos)
ArrayList< Integer > | get ()

## Detailed Description

Trida reprezentujici chromozom pro TSP.

Author
  Jan Nemec

## Constructor & Destructor Documentation

Chromozome.Chromozome | ( | int | numOfGenes | ) |

Konstruktor, ktery vytvari kompletni chromozom a naplni jej hodnotami.

Parameters

  numOfGenes | Pocet genu v chromozomu

Chromozome.Chromozome | ( | int | size,
|  | int | value
| ) |  |

Konstruktor, ktery vytvari chromozom naplneny libovolnymi hodnotami

Parameters

  size | Velikost chromozomu
  value | Hodnota

## Member Function Documentation

ArrayList<Integer> Chromozome.get | ( |  | ) |

Funkce, ktera vraci privatni promenou ArrayList, ktera slouzi k ukladani jednotlivych genu.

Returns
  Promena ArrayList

int Chromozome.getChromozomeSize | ( |  | ) |

Funkce, ktera vraci velikost chromozomu.

Returns
  Velikost chromozomu

double Chromozome.getFitness | ( |  | ) |

Funkce, ktera vraci hodnotu fitness pro dany chromozom.

Returns
  Hodnota fitness

int Chromozome.getValueOfGene | ( | int | position | ) |

Funkce, ktera vraci hodnotu jednoho vybraneho genu v chromozomu.

Parameters

  position | Pozice genu

Returns
  Hodnota genu

void Chromozome.printChromozome | ( |  | ) |

Funkce slouzici k vytisteni chromozomu.

void Chromozome.setFitness | ( | double | fitness | ) |

Funkce, ktera slouzi k nastaveni hodnoty fitness pro chromozom

Parameters

  fitness | Hodnota fitness

void Chromozome.setGene | ( | int | gene,
|  | int | pos
| ) |  |

Funkce, ktera nastavuje hodnotu genu na vybrane pozici v chormozomu.

Parameters

  gene | Hodnota genu
  pos | Pozice genu

The documentation for this class was generated from the following file:

- src/Chromozome.java